org.apache.sling.hc.api

## Interface HealthCheck

Deprecated.
Use Apache Felix Health Checks now, see `https://sling.apache.org/documentation/bundles/sling-health-check-tool.html` for migration guide.

    @Deprecated
     @ConsumerType
    public interface HealthCheck

Health Check services can be executed and return an execution `Result`. Clients should not look up health checks directly but rather use the `HealthCheckExecutor` service and executed checks based on tags. If the `MBEAN_NAME` service registration property is set, the health check is registered as an mbean and can be invoked by getting the MBean from the JMX registry.

### Field Summary

Fields
`static String` `ASYNC_CRON_EXPRESSION` Deprecated. Optional service property: If this property is set the health check will be executed asynchronously using the cron expression provided.
`static String` `MBEAN_NAME` Deprecated. Optional service property: the name of the MBean for registering the health check as an MBean.
`static String` `NAME` Deprecated. Optional service property: the name of a health check.
`static String` `RESULT_CACHE_TTL_IN_MS` Deprecated. Optional service property: TTL for health check `Result`.
`static String` `TAGS` Deprecated. Optional service property: tags for categorizing the health check services.
`static String` `WARNINGS_STICK_FOR_MINUTES` Deprecated. Optional service property: If given, warning results (that is WARN, CRITICAL or HEALTH_CHECK_ERROR) from the past executions will be taken into account as well for the given minutes (use Integer.MAX_VALUE for indefinitely).

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`Result` `execute()` Deprecated. Execute this health check and return a `Result` This is meant to execute quickly, access to external systems, for example, should be managed asynchronously.

### Field Detail

#### NAME

    static final String NAME

Deprecated.
Optional service property: the name of a health check. This name should be unique, however there might be more than one health check service with the same value for this property. The value of this property must be of type String.

See Also:
  Constant Field Values

#### MBEAN_NAME

    static final String MBEAN_NAME

Deprecated.
Optional service property: the name of the MBean for registering the health check as an MBean. If this property is missing the health check is not registered as a JMX MBean. If there is more than one service with the same value for this property, the one with the highest service ranking is registered only. The value of this property must be of type String.

See Also:
  Constant Field Values

#### TAGS

    static final String TAGS

Deprecated.
Optional service property: tags for categorizing the health check services. The value of this property must be of type String or String array.

See Also:
  Constant Field Values

#### ASYNC_CRON_EXPRESSION

    static final String ASYNC_CRON_EXPRESSION

Deprecated.
Optional service property: If this property is set the health check will be executed asynchronously using the cron expression provided.

See Also:
  Constant Field Values

#### RESULT_CACHE_TTL_IN_MS

    static final String RESULT_CACHE_TTL_IN_MS

Deprecated.
Optional service property: TTL for health check `Result`. The value of this property must be of type `Long` and is specified in ms.

See Also:
  Constant Field Values

#### WARNINGS_STICK_FOR_MINUTES

    static final String WARNINGS_STICK_FOR_MINUTES

Deprecated.
Optional service property: If given, warning results (that is WARN, CRITICAL or HEALTH_CHECK_ERROR) from the past executions will be taken into account as well for the given minutes (use Integer.MAX_VALUE for indefinitely). Useful for unhealthy system states that disappear but might leave the system at an inconsistent state (e.g. an event queue overflow).

See Also:
  Constant Field Values

### Method Detail

#### execute

    Result execute()

Deprecated.
Execute this health check and return a `Result` This is meant to execute quickly, access to external systems, for example, should be managed asynchronously.